/********************************************************************
 *   File:  MMA8653.h					Date:  Dec 19, 2014
 *
 *   Definitions for the Freescale MMA8653 3DOF (3-axis accelerometer).
 *
 *   The MMA8653 is a 3-axis accelerometer used on the PicoC but maybe used as
 *   an additional sensor on a femto chain used by the PicoM series.
 *
  *   This project is licensed under the MIT license.  You can modify, enhance, etc anyway you like.
 *
 *   SOC Robotics, Inc is not liable in anyway for the use of this software and assumes no responsibility
 *   for it's use.  No warranties of any kind are provided.
 *
 *   Copyright 2014, SOC Robotics, Inc.
 *   There maybe code from other parties in this application  If we don't mention them by name thank you
 *   and if we should please let us know and we will include your name and attribution.
 */

//  MMA8653 Acceleration sensor defines
#define MMA8653_SLAVE_ADDRESS  0x1D

#define  MMA8653_STATUS	       0x00
#define  MMA8653_OUT_X_MSB     0x01
#define  MMA8653_OUT_X_LSB     0x02
#define  MMA8653_OUT_Y_MSB     0x03
#define  MMA8653_OUT_Y__LSB    0x04
#define  MMA8653_OUT_Z_MSB     0x05
#define  MMA8653_OUT_Z_LSB     0x06
#define  MMA8653_SYSMOD        0x0B
#define  MMA8653_INT_SOURCE    0x0C
#define  MMA8653_WHO_AM_I      0x0D
#define  MMA8653_XYZ_DATA_CFG  0x0E
#define  MMA8653_PL_STATUS     0x10
#define  MMA8653_PL_CFG        0x11
#define  MMA8653_PL_COUNT      0x12
#define  MMA8653_PL_BF_ZCOMP   0x13
#define  MMA8653_PL_THS_REG    0x14
#define  MMA8653_FF_MT_CFG     0x15
#define  MMA8653_FF_MT_SRC     0x16
#define  MMA8653_FF_MT_COUNT   0x17
#define  MMA8653_ASLP_COUNT    0x29
#define  MMA8653_CTRL_REG1     0x2A
#define  MMA8653_CTRL_REG2  0x2B
#define  MMA8653_CTRL_REG3  0x2C
#define  MMA8653_CTRL_REG4  0x2D
#define  MMA8653_CTRL_REG5  0x2E
#define  MMA8653_OFF_X      0x2F
#define  MMA8653_OFF_Y      0x30
#define  MMA8653_OFF_Z      0x31
