/*************************************************************************
 *
 *   Program:  PicoM_Type.h		Version: 1.00
 *
 *   Author:  SS				Date:  Nov 30, 2014
 *
 *   This file defines the type of PaellaM ie M04 M07 and M30 and M40
 *
 *   This project is licensed under the MIT license.  You can modify, enhance, etc anyway you like.
 *
 *   SOC Robotics, Inc is not liable in anyway for the use of this software and assumes no responsibility 
 *   for it's use.  No warranties of any kind are provided.
 *
 *   Copyright 2014-2015, SOC Robotics, Inc.
 *   There maybe code from other parties in this application  If we don't mention them by name thank you
 *   and if we should please let us know and we will include your name and attribution.
 *
 *************************************************************************/

/**************************************************************************
	Defines
**************************************************************************/

// Target - Select PaellaM type (M04, M07 or M30) to enable correct support for different PicoM sensor types
// All PaellaM's support 9DOF operation using an MPU-9150 sensor.  The major difference is processor type:
//   PaellaM04  - STM32F042 ARM F0 48MHz processor with 32K Flash
//   PaellaM07  - STM32F072 ARM F0 48MHz processor with 128K Flash
//   PaellaM30  - STM32F303 ARM F3 72MHz processor with 256K Flash and hardware FPU
//#define  PAELLAM04TARGET
#define  PAELLAM07TARGET
//#define  PAELLAM30TARGET

//  If the ST7735 LCD is attached to the PicoM use the L version
//#define ST7735LCD

//  If the SSD1306 OLED display with I2C interface is attached to the PicoM use the L version
//#define SSD1306OLED

//  Display sensor data on display if a display is attached to Pico
//#define DISPLAYSENSORDATA
#define DISPLAYPDATERATE   100  // Update display every xxx msec

// MEMs sensor options - if a particular sensor is not installed commenting out the 
// sensor will eliminate code for that device freely Flash.  See the sensor pairings
// above for the target PicoM
//#define  MPU9150SENSOR
//#define  BMP180SENSOR


// Other Femto Sensor options
//#define  FMPU9150SENSOR  // femtoA
//#define  FXOS8700SENSOR    // femtoB
//#define  FMMA8653SENSOR  // femtoC
//#define  FL3GD20SENSOR   // femtoD
//#define  FSI7013SENSOR   // femtoE


// Software version information
#define  MAJORREV       1
#define  MINORREV       0

// Check USB Level on PicoM PA8 pin
//#define CHECKUSBPA8

// The STM32F0XX has several internal clock - base processor speed is 48MHz or 72MHz
// A calibrated 32.768KHz clock tracks time of day
//#define CLOCK2MHZ		1
//#define CLOCK32MHZ	2
//#define CLOCK16MHZ	3
//#define CLOCK32KHZ	4
